Debian Bug report logs - #660022
transition: freebsd-libs

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Robert Millan <rmh@debian.org>

Date: Wed, 15 Feb 2012 20:42:01 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Wed, 15 Feb 2012 20:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 15 Feb 2012 20:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: debian-release@lists.debian.org, debian-bsd@lists.debian.org
Subject: transition: freebsd-libs
Date: Wed, 15 Feb 2012 20:37:28 +0000
Package: release.debian.org
Tags: pending
User: release.debian.org@packages.debian.org
Usertags: transition

Filing this as a transition bug so we can block related issues against
it.  Will fix up submitter once I have a bug number.

On Sat, 2012-02-04 at 19:09 +0000, Robert Millan wrote:
> FYI after freebsd-libs 8.3 has migrated to testing, freebsd-libs 9.0
> has been uploaded to unstable.
> 
> -release: Please can you take appropiate measures to begin the transition?
> 
> El 29 de gener de 2012 14:43, Robert Millan <rmh@debian.org> ha escrit:
> > [ Please CC me, not subscribed! ]
> >
> > Hi!
> >
> > We have an incoming soname bump in freebsd-libs (libusb, libusbhid,
> > libcam and libsbuf).  Should we wait until the current transition is
> > over, or upload to unstable with the new sonames as soon as possible?






Changed Bug submitter to 'Robert Millan <rmh@debian.org>' from '"Adam D. Barratt" <adam@adam-barratt.org.uk>' Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 15 Feb 2012 20:51:14 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 660022: 659615 and 659659 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 16 Feb 2012 07:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Fri, 17 Feb 2012 17:08:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 17 Feb 2012 17:08:05 GMT) Full text and rfc822 format available.

Message #14 received at 660022@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: 660022@bugs.debian.org
Subject: Re: transition: freebsd-libs
Date: Fri, 17 Feb 2012 18:06:34 +0100
[Message part 1 (text/plain, inline)]
Hi all,

I am not sure but I think the parameters used on the transition page
lead to several false positives (or false bads):

the tail of the criteria for being good is:
[...] | .depends ~ /libusb2debian/ | .depends ~ /libusbhid4debian/
the tail of the criteria for being bad is:
[...] | .depends ~ /libusb2/ | .depends ~ /libusbhid4/

So all packages that already depend on libusb2debian or libusbhid4debian
as they should are classified as bad packages.


Again, I am not sure, I might have missed some details since it is the
first transition I take part. But from what I see, the parameters should
be corrected.

Cheers

Nicolas


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Fri, 17 Feb 2012 18:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 17 Feb 2012 18:30:18 GMT) Full text and rfc822 format available.

Message #19 received at 660022@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>, <660022@bugs.debian.org>
Subject: Re: Bug#660022: transition: freebsd-libs
Date: Fri, 17 Feb 2012 17:24:57 +0000
On 17.02.2012 17:06, Nicolas Bourdaud wrote:
> I am not sure but I think the parameters used on the transition page
> lead to several false positives (or false bads):
>
> the tail of the criteria for being good is:
> [...] | .depends ~ /libusb2debian/ | .depends ~ /libusbhid4debian/
> the tail of the criteria for being bad is:
> [...] | .depends ~ /libusb2/ | .depends ~ /libusbhid4/
>
> So all packages that already depend on libusb2debian or 
> libusbhid4debian
> as they should are classified as bad packages.
>
>
> Again, I am not sure, I might have missed some details since it is 
> the
> first transition I take part. But from what I see, the parameters 
> should
> be corrected.

Fixed; thanks.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Fri, 17 Feb 2012 19:27:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 17 Feb 2012 19:27:21 GMT) Full text and rfc822 format available.

Message #24 received at 660022@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>, 660022@bugs.debian.org
Subject: Re: Bug#660022: transition: freebsd-libs
Date: Fri, 17 Feb 2012 18:26:42 +0100
[Message part 1 (text/plain, inline)]
Nicolas Bourdaud <nicolas.bourdaud@gmail.com> (17/02/2012):
> I am not sure but I think the parameters used on the transition page
> lead to several false positives (or false bads):
> 
> the tail of the criteria for being good is:
> [...] | .depends ~ /libusb2debian/ | .depends ~ /libusbhid4debian/
> the tail of the criteria for being bad is:
> [...] | .depends ~ /libusb2/ | .depends ~ /libusbhid4/
> 
> So all packages that already depend on libusb2debian or libusbhid4debian
> as they should are classified as bad packages.
> 
> Again, I am not sure, I might have missed some details since it is the
> first transition I take part. But from what I see, the parameters should
> be corrected.

Current parameters aren't too good:  Some packages were missing, so I
decided to widen the search perimeter but was in a hurry so stuff needs
fixing. That will be tweaked later on.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 660022: 660398, 660395, 660397, 660400, 660403, 660396, and 660401 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 18 Feb 2012 20:54:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 660022: 660515 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 19 Feb 2012 18:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Sat, 25 Feb 2012 13:54:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 25 Feb 2012 13:54:38 GMT) Full text and rfc822 format available.

Message #33 received at 660022@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, libc0.1-dev@packages.debian.org
Subject: Re: transition status
Date: Sat, 25 Feb 2012 13:46:07 +0000
On Sat, 2012-02-25 at 12:20 +0000, Robert Millan wrote:
> 660403: cdparanoia: FTFBS on kfreebsd-*
> -> Unless there's further activity I recommend removing of kfreebsd-*
> binaries from testing. See
> http://bugs.debian.org./cgi-bin/bugreport.cgi?bug=660403#12

That doesn't work.  The choices would be removing the kfreebsd-*
binaries from unstable, and letting that propagate, or removing the
entire package from testing.

> 660397: qpxtool: FTBFS on kfreebsd-*
> 660401: dvd+rw-tools: FTBFS on kfreebsd-*
> -> (eglibc bug) Tagged pending by maintainer since 20th Feb. Should it
> be NMUed? CCing maintainer.

That's still less than a week.  Aurelien, are there any plans for an
upload in the near future?

> 660396: sane-backends: FTBFS on kfreebsd-*
> -> (kfreebsd-kernel-headers bug) Fixed today in 0.75. BinNMU?

They were already binNMUed, that's how I discovered the bug. ;-p  I'll
give them back with a dependency on the new k-k-h.

btw, http://bugs.debian.org/src:kfreebsd-kernel-headers still lists two
outstanding RC bugs.  You need to use versioned -done mails, not just
add fixed versions.

There's also mednafen and xine-lib, which I think have transitive
dependencies via libsdl1.2?  The latter still seems to be FTBFS on
kfreebsd-amd64, despite the patch from #659615 being applied.  I've just
given it back for one last try.

fwiw, there's a possibility that vlc might be a blocker, given that the
new upstream version is FTBFS on multiple architectures (including
kfreebsd-*).

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Sat, 25 Feb 2012 14:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 25 Feb 2012 14:15:04 GMT) Full text and rfc822 format available.

Message #38 received at 660022@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 660022@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, debian-bsd@lists.debian.org, k3b@packages.debian.org, libc0.1-dev@packages.debian.org
Subject: transition status
Date: Sat, 25 Feb 2012 12:20:49 +0000
Hi,

I figured it'd be useful to send a status update to summarize on
what's done and what's missing:

659615: FTBFS on kfreebsd-amd64
-> Fixed by maintainer since 15th Feb.

660395: xserver-xorg-input-joystick: FTBFS on kfreebsd-*
-> Fixed in NMU since 19th Feb.

660398: k3b: FTBFS on kfreebsd-*
660515: FTBFS on kfreebsd-*
-> Patch available. Tagged pending by maintainer since 20th Feb.
Should it be NMUed? CCing maintainer.

660400: hal: FTBFS on kfreebsd-*
-> Fixed in NMU since 18th Feb.

660403: cdparanoia: FTFBS on kfreebsd-*
-> Unless there's further activity I recommend removing of kfreebsd-*
binaries from testing. See
http://bugs.debian.org./cgi-bin/bugreport.cgi?bug=660403#12

660397: qpxtool: FTBFS on kfreebsd-*
660401: dvd+rw-tools: FTBFS on kfreebsd-*
-> (eglibc bug) Tagged pending by maintainer since 20th Feb. Should it
be NMUed? CCing maintainer.

659659: current version of ifconfig breaks D-I
-> Uploaded fix currently in NEW, expect RSN.

660396: sane-backends: FTBFS on kfreebsd-*
-> (kfreebsd-kernel-headers bug) Fixed today in 0.75. BinNMU?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Sat, 25 Feb 2012 15:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 25 Feb 2012 15:45:09 GMT) Full text and rfc822 format available.

Message #43 received at 660022@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: cdparanoia (Re: transition status)
Date: Sat, 25 Feb 2012 15:44:09 +0000
El 25 de febrer de 2012 13:46, Adam D. Barratt
<adam@adam-barratt.org.uk> ha escrit:
> On Sat, 2012-02-25 at 12:20 +0000, Robert Millan wrote:
>> 660403: cdparanoia: FTFBS on kfreebsd-*
>> -> Unless there's further activity I recommend removing of kfreebsd-*
>> binaries from testing. See
>> http://bugs.debian.org./cgi-bin/bugreport.cgi?bug=660403#12
>
> That doesn't work.  The choices would be removing the kfreebsd-*
> binaries from unstable, and letting that propagate, or removing the
> entire package from testing.

Is an upload needed in first case?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Sat, 25 Feb 2012 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 25 Feb 2012 15:51:03 GMT) Full text and rfc822 format available.

Message #48 received at 660022@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, libc0.1-dev@packages.debian.org
Subject: Re: transition status
Date: Sat, 25 Feb 2012 15:48:12 +0000
El 25 de febrer de 2012 13:46, Adam D. Barratt
<adam@adam-barratt.org.uk> ha escrit:
>> 660397: qpxtool: FTBFS on kfreebsd-*
>> 660401: dvd+rw-tools: FTBFS on kfreebsd-*
>> -> (eglibc bug) Tagged pending by maintainer since 20th Feb. Should it
>> be NMUed? CCing maintainer.
>
> That's still less than a week.  Aurelien, are there any plans for an
> upload in the near future?

It seems that an upload is expected this weekend:

http://lists.debian.org/debian-bsd/2012/02/msg00186.html

> btw, http://bugs.debian.org/src:kfreebsd-kernel-headers still lists two
> outstanding RC bugs.  You need to use versioned -done mails, not just
> add fixed versions.

Done.

> There's also mednafen and xine-lib, which I think have transitive
> dependencies via libsdl1.2?  The latter still seems to be FTBFS on
> kfreebsd-amd64, despite the patch from #659615 being applied.  I've just
> given it back for one last try.

(as said in the other mail a k-k-h update is required)

> fwiw, there's a possibility that vlc might be a blocker, given that the
> new upstream version is FTBFS on multiple architectures (including
> kfreebsd-*).

I'll have a look.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Sat, 25 Feb 2012 16:21:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 25 Feb 2012 16:21:14 GMT) Full text and rfc822 format available.

Message #53 received at 660022@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: cdparanoia (Re: transition status)
Date: Sat, 25 Feb 2012 16:19:56 +0000
On Sat, 2012-02-25 at 15:44 +0000, Robert Millan wrote:
> El 25 de febrer de 2012 13:46, Adam D. Barratt
> <adam@adam-barratt.org.uk> ha escrit:
> > On Sat, 2012-02-25 at 12:20 +0000, Robert Millan wrote:
> >> 660403: cdparanoia: FTFBS on kfreebsd-*
> >> -> Unless there's further activity I recommend removing of kfreebsd-*
> >> binaries from testing. See
> >> http://bugs.debian.org./cgi-bin/bugreport.cgi?bug=660403#12
> >
> > That doesn't work.  The choices would be removing the kfreebsd-*
> > binaries from unstable, and letting that propagate, or removing the
> > entire package from testing.
> 
> Is an upload needed in first case?

That would depend on whether you could convince ftp-master to remove
them as-is.  However, the build failure doesn't look like it's unfixable
(or incredibly hard to fix), so I imagine they'd suggest fixing the bug
instead; it's certainly what I'd suggest.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Sat, 25 Feb 2012 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 25 Feb 2012 16:36:03 GMT) Full text and rfc822 format available.

Message #58 received at 660022@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: cdparanoia (Re: transition status)
Date: Sat, 25 Feb 2012 16:32:06 +0000
On Sat, 2012-02-25 at 16:19 +0000, Adam D. Barratt wrote:
> However, the build failure doesn't look like it's unfixable
> (or incredibly hard to fix), so I imagine they'd suggest fixing the bug
> instead; it's certainly what I'd suggest.

Specifically, all of the failures appear to be inside code introduced by
05-kfreebsd.patch, so presumably it "just" needs porting from the old
libcam API to the new one (which really should have been done *before*
the new API was uploaded to unstable).

Is there a direct replacement in the new API for (cdrom_drive
*)->private_data->ccb->csio.sense_data ?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Sat, 25 Feb 2012 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 25 Feb 2012 17:57:03 GMT) Full text and rfc822 format available.

Message #63 received at 660022@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: cdparanoia (Re: transition status)
Date: Sat, 25 Feb 2012 17:51:51 +0000
[Message part 1 (text/plain, inline)]
tag 660403 + patch
thanks

On Sat, 2012-02-25 at 16:19 +0000, Adam D. Barratt wrote:
> However, the build failure doesn't look like it's unfixable
> (or incredibly hard to fix), so I imagine they'd suggest fixing the bug
> instead; it's certainly what I'd suggest.

In fact, it wasn't particularly hard at all, especially given the k3b
patch to use for inspiration.  The attached diff makes the package build
again, although I don't have a suitable kfreebsd-* system available
right now to test it on.

Testing and comments welcome.

Regards,

Adam
[cdparanoia_660403.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Sun, 26 Feb 2012 11:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Feb 2012 11:09:16 GMT) Full text and rfc822 format available.

Message #68 received at 660022@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: cdparanoia (Re: transition status)
Date: Sun, 26 Feb 2012 11:06:18 +0000
El 25 de febrer de 2012 17:51, Adam D. Barratt
<adam@adam-barratt.org.uk> ha escrit:
> In fact, it wasn't particularly hard at all, especially given the k3b
> patch to use for inspiration.  The attached diff makes the package build
> again, although I don't have a suitable kfreebsd-* system available
> right now to test it on.
>
> Testing and comments welcome.

I still think the current situation with cdparanoia is unsustainable
however.  I don't have time to invest on this, but this chunk of code
should really be moved to upstream.  It changes things a lot when you
have FreeBSD Ports contributing patches in this kind of situations
(c.f. k3b).

Anyway, thanks for supplying a fix.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Sun, 26 Feb 2012 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Feb 2012 11:12:08 GMT) Full text and rfc822 format available.

Message #73 received at 660022@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: transition status
Date: Sun, 26 Feb 2012 11:08:08 +0000
Btw, would a new freebsd-libs upload disrupt anything? A fix for
#661274 is required, although this isn't a transition blocker AFAICT.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Mon, 27 Feb 2012 13:09:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 27 Feb 2012 13:09:28 GMT) Full text and rfc822 format available.

Message #78 received at 660022@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, <660022@bugs.debian.org>, <debian-bsd@lists.debian.org>, <660403@bugs.debian.org>
Subject: Re: [Pkg-opt-media-team] Bug#660403: cdparanoia (Re: transition status)
Date: Mon, 27 Feb 2012 13:07:30 +0000
On 25.02.2012 16:03, Rogério Brito wrote:
> Hi there.
>
> On Feb 25 2012, Robert Millan wrote:
>> El 25 de febrer de 2012 13:46, Adam D. Barratt
>> <adam@adam-barratt.org.uk> ha escrit:
>> > On Sat, 2012-02-25 at 12:20 +0000, Robert Millan wrote:
>> >> 660403: cdparanoia: FTFBS on kfreebsd-*
>> >> -> Unless there's further activity I recommend removing of 
>> kfreebsd-*
>> >> binaries from testing. See
>> >> http://bugs.debian.org./cgi-bin/bugreport.cgi?bug=660403#12
>> >
>> > That doesn't work. The choices would be removing the kfreebsd-*
>> > binaries from unstable, and letting that propagate, or removing 
>> the
>> > entire package from testing.
>>
>> Is an upload needed in first case?
>
> Is there anything that I can do helping with this?

Well, I sent a patch... :)  I must admit to not being able to check 
whether it works, but it at least makes the package build on 
kfreebsd-amd64 again on the porter-box.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Mon, 27 Feb 2012 14:15:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 27 Feb 2012 14:15:32 GMT) Full text and rfc822 format available.

Message #83 received at 660022@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Robert Millan <rmh@debian.org>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: [Pkg-opt-media-team] Bug#660403: cdparanoia (Re: transition status)
Date: Sat, 25 Feb 2012 14:03:35 -0200
Hi there.

On Feb 25 2012, Robert Millan wrote:
> El 25 de febrer de 2012 13:46, Adam D. Barratt
> <adam@adam-barratt.org.uk> ha escrit:
> > On Sat, 2012-02-25 at 12:20 +0000, Robert Millan wrote:
> >> 660403: cdparanoia: FTFBS on kfreebsd-*
> >> -> Unless there's further activity I recommend removing of kfreebsd-*
> >> binaries from testing. See
> >> http://bugs.debian.org./cgi-bin/bugreport.cgi?bug=660403#12
> >
> > That doesn't work. The choices would be removing the kfreebsd-*
> > binaries from unstable, and letting that propagate, or removing the
> > entire package from testing.
> 
> Is an upload needed in first case?

Is there anything that I can do helping with this?

Just for the record, the last time I tried to send kFreeBSD patches to
upstream, he refused on the basis that he wasn't able to test it on that
platform.


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Tue, 28 Feb 2012 21:11:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 28 Feb 2012 21:11:50 GMT) Full text and rfc822 format available.

Message #88 received at 660022@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: transition status
Date: Tue, 28 Feb 2012 21:07:53 +0000
On Sun, 2012-02-26 at 11:08 +0000, Robert Millan wrote:
> Btw, would a new freebsd-libs upload disrupt anything? A fix for
> #661274 is required, although this isn't a transition blocker AFAICT.

That rather depends on how long we think it's likely to take to get the
rest of the transition done, and whether britney's happy to migrate the
vlc binNMUs with the new source in unstable FTBFS.

The packages which have not been successfully rebuilt thus far are:

- cdparanoia - maintainers, are there plans for an upload to resolve
#660403?  If not, would you be averse to an NMU purely containing the
updated kBSD patch?

- mednafen, xine-lib - binNMUs now scheduled

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Tue, 28 Feb 2012 22:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 28 Feb 2012 22:03:10 GMT) Full text and rfc822 format available.

Message #93 received at 660022@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 660403@bugs.debian.org
Cc: Robert Millan <rmh@debian.org>, 660022@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: [Pkg-opt-media-team] Bug#660403: transition status
Date: Tue, 28 Feb 2012 18:59:40 -0300
Hi, Adam.

On Tue, Feb 28, 2012 at 18:07, Adam D. Barratt <adam@adam-barratt.org.uk> wrote:
> The packages which have not been successfully rebuilt thus far are:
>
> - cdparanoia - maintainers, are there plans for an upload to resolve
> #660403?  If not, would you be averse to an NMU purely containing the
> updated kBSD patch?

Feel free to go ahead. Let us get kFBSD in shape. I'm OK with a 0-day NMU.


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Tue, 28 Feb 2012 23:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 28 Feb 2012 23:09:07 GMT) Full text and rfc822 format available.

Message #98 received at 660022@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 660403@bugs.debian.org, Robert Millan <rmh@debian.org>, 660022@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: [Pkg-opt-media-team] Bug#660403: transition status
Date: Tue, 28 Feb 2012 23:06:21 +0000
On Tue, 2012-02-28 at 18:59 -0300, Rogério Brito wrote:
> On Tue, Feb 28, 2012 at 18:07, Adam D. Barratt <adam@adam-barratt.org.uk> wrote:
> > The packages which have not been successfully rebuilt thus far are:
> >
> > - cdparanoia - maintainers, are there plans for an upload to resolve
> > #660403?  If not, would you be averse to an NMU purely containing the
> > updated kBSD patch?
> 
> Feel free to go ahead. Let us get kFBSD in shape. I'm OK with a 0-day NMU.

Thanks.  I'll look at that over the next couple of days or so.

Unfortunately the other two remaining binNMUs for the transition both
FTBFS; bugs on their way shortly.

Regards,

Adam





Added blocking bug(s) of 660022: 661657 and 661656 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Tue, 28 Feb 2012 23:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Wed, 29 Feb 2012 19:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 29 Feb 2012 19:00:06 GMT) Full text and rfc822 format available.

Message #105 received at 660022@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 660022@bugs.debian.org
Cc: Rogério Brito <rbrito@ime.usp.br>, 660403@bugs.debian.org, Robert Millan <rmh@debian.org>, debian-bsd@lists.debian.org
Subject: Re: Bug#660022: [Pkg-opt-media-team] Bug#660403: transition status
Date: Wed, 29 Feb 2012 18:57:44 +0000
[Message part 1 (text/plain, inline)]
tag 660403 + pending
thanks

On Tue, 2012-02-28 at 23:06 +0000, Adam D. Barratt wrote:
> On Tue, 2012-02-28 at 18:59 -0300, Rogério Brito wrote:
> > On Tue, Feb 28, 2012 at 18:07, Adam D. Barratt <adam@adam-barratt.org.uk> wrote:
> > > The packages which have not been successfully rebuilt thus far are:
> > >
> > > - cdparanoia - maintainers, are there plans for an upload to resolve
> > > #660403?  If not, would you be averse to an NMU purely containing the
> > > updated kBSD patch?
> > 
> > Feel free to go ahead. Let us get kFBSD in shape. I'm OK with a 0-day NMU.
> 
> Thanks.  I'll look at that over the next couple of days or so.

As agreed, please find attached the diff for the NMU which I'll be
uploading shortly.

Regards,

Adam
[cdparanoia_660403_NMU.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Fri, 02 Mar 2012 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 02 Mar 2012 20:51:05 GMT) Full text and rfc822 format available.

Message #110 received at 660022@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Robert Millan <rmh@debian.org>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: [Pkg-opt-media-team] Bug#660403: cdparanoia (Re: transition status)
Date: Fri, 2 Mar 2012 21:46:57 +0100
Hi,

El 25 de febrer de 2012 17:03, Rogério Brito <rbrito@ime.usp.br> ha escrit:
> Is there anything that I can do helping with this?

The only thing I can think of is sticking to versions of cdparanoia
supported by FreeBSD upstream
(http://www.freshports.org/audio/cdparanoia/).  However I can
understand this may be impractical.  Sorry that I can't suggest any
better solution.  The real fix is to persuade upstream of course...

> Just for the record, the last time I tried to send kFreeBSD patches to
> upstream, he refused on the basis that he wasn't able to test it on that
> platform.

I'd suggest to document this in the patch header (maybe this avoids
repeating this discussion FWIW).

Thanks!

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Fri, 02 Mar 2012 21:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 02 Mar 2012 21:03:05 GMT) Full text and rfc822 format available.

Message #115 received at 660022@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: transition status
Date: Fri, 2 Mar 2012 21:58:46 +0100
El 28 de febrer de 2012 22:07, Adam D. Barratt
<adam@adam-barratt.org.uk> ha escrit:
> On Sun, 2012-02-26 at 11:08 +0000, Robert Millan wrote:
>> Btw, would a new freebsd-libs upload disrupt anything? A fix for
>> #661274 is required, although this isn't a transition blocker AFAICT.
>
> That rather depends on [...]

No worries, if there's a shade of doubt that bugfix can wait IMHO.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Sat, 03 Mar 2012 16:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Mar 2012 16:09:11 GMT) Full text and rfc822 format available.

Message #120 received at 660022@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: transition status
Date: Sat, 3 Mar 2012 17:07:31 +0100
El 28 de febrer de 2012 22:07, Adam D. Barratt
<adam@adam-barratt.org.uk> ha escrit:
> The packages which have not been successfully rebuilt thus far are:
>
> - cdparanoia - maintainers, are there plans for an upload to resolve
> #660403?  If not, would you be averse to an NMU purely containing the
> updated kBSD patch?
>
> - mednafen, xine-lib - binNMUs now scheduled

AFAICS the only remaining issues are:

    freebsd-buildutils is only 8 days old. It must be 10 days old to go in.
    kfreebsd-kernel-headers is only 4 days old. It must be 10 days old
to go in.

Instead of waiting one more week, perhaps it'd make sense to force
migration of those two packages?  In both cases the majority of
changes in update have been tested in unstable for more than 10 days
already.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Sat, 03 Mar 2012 16:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Mar 2012 16:21:06 GMT) Full text and rfc822 format available.

Message #125 received at 660022@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>
Cc: <660022@bugs.debian.org>, <debian-bsd@lists.debian.org>, <660403@bugs.debian.org>
Subject: Re: transition status
Date: Sat, 03 Mar 2012 16:19:18 +0000
On 03.03.2012 16:07, Robert Millan wrote:
> AFAICS the only remaining issues are:
>
>     freebsd-buildutils is only 8 days old. It must be 10 days old to 
> go in.
>     kfreebsd-kernel-headers is only 4 days old. It must be 10 days 
> old
> to go in.

Well, there's also freebsd-utils (5/10 days) and:

    out of date on kfreebsd-amd64: libcam0, libsbuf0, libsbuf0-udeb, 
libusb2, libusb2-udeb, libusbhid4 (from 8.3~svn229725-3)
    out of date on kfreebsd-i386: libcam0, libsbuf0, libsbuf0-udeb, 
libusb2, libusb2-udeb, libusbhid4 (from 8.3~svn229725-3)

The final uploads to make the latter go away were made earlier today, 
so I've asked for them to be decrufted.

> Instead of waiting one more week, perhaps it'd make sense to force
> migration of those two packages?  In both cases the majority of
> changes in update have been tested in unstable for more than 10 days
> already.

Oddly enough, we'd already had that idea... :)

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Sat, 03 Mar 2012 16:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Mar 2012 16:21:08 GMT) Full text and rfc822 format available.

Message #130 received at 660022@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 660022@bugs.debian.org, debian-bsd@lists.debian.org, 660403@bugs.debian.org
Subject: Re: transition status
Date: Sat, 3 Mar 2012 17:19:46 +0100
[Message part 1 (text/plain, inline)]
Robert Millan <rmh@debian.org> (03/03/2012):
> AFAICS the only remaining issues are:
> 
>     freebsd-buildutils is only 8 days old. It must be 10 days old to go in.
>     kfreebsd-kernel-headers is only 4 days old. It must be 10 days old
> to go in.
> 
> Instead of waiting one more week, perhaps it'd make sense to force
> migration of those two packages?  In both cases the majority of
> changes in update have been tested in unstable for more than 10 days
> already.

And the removal of out-of-date binaries, which Adam just requested.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Sun, 04 Mar 2012 12:43:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 04 Mar 2012 12:43:50 GMT) Full text and rfc822 format available.

Message #135 received at 660022@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 660022@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#660022: transition status
Date: Sun, 4 Mar 2012 13:40:39 +0100
El 4 de març de 2012 13:16, Adam D. Barratt <adam@adam-barratt.org.uk>
ha escrit:
> On 03.03.2012 16:19, Adam D. Barratt wrote:
>>
>>    out of date on kfreebsd-amd64: libcam0, libsbuf0, libsbuf0-udeb,
>> libusb2, libusb2-udeb, libusbhid4 (from 8.3~svn229725-3)
>>    out of date on kfreebsd-i386: libcam0, libsbuf0, libsbuf0-udeb,
>> libusb2, libusb2-udeb, libusbhid4 (from 8.3~svn229725-3)
>>
>> The final uploads to make the latter go away were made earlier today,
>> so I've asked for them to be decrufted.
>
>
> freebsd-libs itself and most of its r-deps migrated last night, with a few
> more migrating this morning.  The last package keeping the old libraries in
> testing now is mednafen, which was mising a build; that's now been uploaded
> so hopefully we should be able to get this finished with tonight's britney
> run.

Very nice, thanks a lot for your help & patience.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#660022; Package release.debian.org. (Sun, 04 Mar 2012 12:54:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 04 Mar 2012 12:54:33 GMT) Full text and rfc822 format available.

Message #140 received at 660022@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, <660022@bugs.debian.org>
Cc: Robert Millan <rmh@debian.org>, <debian-bsd@lists.debian.org>
Subject: Re: Bug#660022: transition status
Date: Sun, 04 Mar 2012 12:16:07 +0000
On 03.03.2012 16:19, Adam D. Barratt wrote:
>     out of date on kfreebsd-amd64: libcam0, libsbuf0, libsbuf0-udeb,
> libusb2, libusb2-udeb, libusbhid4 (from 8.3~svn229725-3)
>     out of date on kfreebsd-i386: libcam0, libsbuf0, libsbuf0-udeb,
> libusb2, libusb2-udeb, libusbhid4 (from 8.3~svn229725-3)
>
> The final uploads to make the latter go away were made earlier today,
> so I've asked for them to be decrufted.

freebsd-libs itself and most of its r-deps migrated last night, with a 
few more migrating this morning.  The last package keeping the old 
libraries in testing now is mednafen, which was mising a build; that's 
now been uploaded so hopefully we should be able to get this finished 
with tonight's britney run.

Regards,

Adam




Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sun, 04 Mar 2012 22:27:08 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Sun, 04 Mar 2012 22:27:08 GMT) Full text and rfc822 format available.

Message #145 received at 660022-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>, 660022-done@bugs.debian.org
Subject: Re: Bug#660022: transition status
Date: Sun, 04 Mar 2012 22:22:42 +0000
On Sun, 2012-03-04 at 13:40 +0100, Robert Millan wrote:
> El 4 de març de 2012 13:16, Adam D. Barratt <adam@adam-barratt.org.uk>
> > freebsd-libs itself and most of its r-deps migrated last night, with a few
> > more migrating this morning.  The last package keeping the old libraries in
> > testing now is mednafen, which was mising a build; that's now been uploaded
> > so hopefully we should be able to get this finished with tonight's britney
> > run.
> 
> Very nice, thanks a lot for your help & patience.

and indeed the old libraries have now gone, so closing.

Regards,

Adam





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Apr 2012 07:34:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:38:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.